
# How to make a button for FMCU

Ath the moment we are in a early adaptor phase of the project.
To setup the lab you will need a MCU that can connect to the internet we have had success with the ESP32 from seeed studio.
The .ino can can be found here [CODE](https://github.com/Fab-Lab-Akureyri/fla-fmcu)

[Using Ardiuno IDE with Seeed](<Using Ardiuno IDE with Seeed.md>)

## FMCU-fla

Clone the repo and update code to your needs or copy fla-fmcu.ino and create file called `config.h`.

### Set your labs ID, SSID & Password

Create `config.h` file with the following lines and edit them accordingly.

```C
// Your fablabs.io lab id
const char id[] = "";

#define WLAN_SSID ""    // Your wifi name
#define WLAN_PASS ""    // Your wifi password
```

## notes

- your lab idea witch you will find here press the total lab nr. [Lab_ID](https://fmcu.beachlab.org/labs.html)
- On ESP32 pin is set to GPIO 10 if wanted this can be modified

In theory FMCU should work on any board. Below is a list of boards that have been tested and that need to be tested.

- [x]**EXTRA** Perfect with [FABxiao](https://github.com/Fab-Lab-Akureyri/fla-xiao) try it out!
- [x] XIAO ESP32C3 works
- [x] raspberry Pi Pico works code need's to be adapted
- [ ] Arduino UNO with wifi shield not tested
- [ ] esp32 didn't work
- [ ]we have not tried ethernet cable at this point

## workflow

below you will find a workflow chart to set up the FMCU

![FMCU_flow](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/flowFMCU.png)

Good luck setting up your FMCU and let us know and share photos when your online!

![letusknow](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/LetUsKnowFMCU.png)
